> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload source files

> Upload documents or other supported source files and return identifiers that can be used in Cloud generation requests.

[Read the files and content guide](/user-guide/api-and-automation/files-and-content).



## OpenAPI

````yaml /archive/v0.9.0-beta/openapi/cloud.json post /api/v3/files/upload
openapi: 3.1.0
info:
  title: Presenton Cloud API
  version: v0.9.0-beta
  description: Supported public API for managed Presenton Cloud integrations.
servers:
  - url: https://api.presenton.ai
    description: Presenton Cloud
security: []
tags:
  - name: Presentations
    description: Generate and manage presentations.
  - name: Files and media
    description: Upload source files and images.
  - name: Templates and design
    description: Select reusable presentation designs.
  - name: Async and webhooks
    description: Monitor background work and receive events.
paths:
  /api/v3/files/upload:
    post:
      tags:
        - V3 Files
      summary: Upload source files
      description: >-
        Upload documents or other supported source files and return identifiers
        that can be used in Cloud generation requests.


        [Read the files and content
        guide](/user-guide/api-and-automation/files-and-content).
      operationId: upload_files_v1_api_v3_files_upload_post
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_files_v1_api_v3_files_upload_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                title: Response Upload Files V1 Api V3 Files Upload Post
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - BearerAuth: []
      externalDocs:
        description: Read the files and content guide
        url: /user-guide/api-and-automation/files-and-content
components:
  schemas:
    Body_upload_files_v1_api_v3_files_upload_post:
      properties:
        files:
          anyOf:
            - items:
                type: string
                contentMediaType: application/octet-stream
              type: array
            - type: 'null'
          title: Files
      type: object
      required:
        - files
      title: Body_upload_files_v1_api_v3_files_upload_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  responses:
    Unauthorized:
      description: Authentication is missing or invalid.
    ServerError:
      description: Presenton or one of its configured dependencies failed.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Presenton API token

````